Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224271 - Review Request: rhts - A system for developing automated tests
Summary: Review Request: rhts - A system for developing automated tests
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-01-24 23:08 UTC by Dave Malcolm
Modified: 2008-05-01 01:57 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-01 01:57:21 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2007-01-24 23:08:52 UTC
Spec URL: http://people.redhat.com/dmalcolm/rhts-candidates/rhts-2.6.0.svn332-1/rhts.spec

SRPM URL: 
http://people.redhat.com/dmalcolm/rhts-candidates/rhts-2.6.0.svn332-1/rhts-2.6.0.svn332-1.src.rpm

Description: 
RHTS is a system for developing automated tests.

This package contains tools for developing tests, running them, handling test metadata, and packaging tests for easy deployment to testing hosts.

Comment 1 Michael Schwendt 2007-01-24 23:40:17 UTC
Some watch-the-spec findings:

> %if %{hardcore_python_packaging}
> Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
> %endif

Since FC4, "Requires: python(abi) =" is added by rpmbuild for
Python modules below the versioned %_libdir/python* directory.


> %build
> [ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

> %clean
> [ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

Superfluous. Nowadays BuildRoot cannot be '/' anymore. Apart from
that, you would have a hard time finding anyone who has ever built
an rpm with "--buildroot=/".


> %install
> DESTDIR=$RPM_BUILD_ROOT make install-noarch

Here "rm -rf $RPM_BUILDROOT" at the beginning of %install
is missing. You want to install into a clean buildroot always,
not just with --short-circuit installs.


> /usr/share/rhts/lib/rhts-make.include

Directories /usr/share/rhts/ and /usr/share/rhts/lib/ are not
included.

Comment 2 Xavier Lamien 2007-01-25 01:21:45 UTC
=== MUST Fix ===

* You don't need to define version and release above, just past them in the      
  right way "version:   and  release:    "
* "Group:   QA" not valide.
* fields "url:" is missing.
* fields Source0 must be point to the full location of the tarball for check up.
* "# snapshot" can be remove.
* fields BuildRoot: not complete and not be point to your login (error while
build)= "make: *** No rule to make target `install-noarch'.  Stop."

* Things which has already mentioned by Michael Schwendt.
* make install-noarch not really need it, just an make install.
----
rpmlint output from srpm:
----
W: rhts non-standard-group QA
W: rhts no-url-tag
W: rhts unversioned-explicit-obsoletes rhts-testhelpers
W: rhts unversioned-explicit-provides rhts-testhelpers
W: rhts unversioned-explicit-obsoletes rhts-testhelpers-developer
W: rhts unversioned-explicit-provides rhts-testhelpers-developer
W: rhts rpm-buildroot-usage %build [ "$RPM_BUILD_ROOT" != "/" ] && [ -d
$RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
W: rhts rpm-buildroot-usage %build DESTDIR=$RPM_BUILD_ROOT make
E: rhts no-cleaning-of-buildroot %install
W: rhts mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 31)
-----
rpmlint output from rhts-test package:
-----
W: rhts-test-env no-url-tag
W: rhts-test-env no-documentation
E: rhts-test-env dir-or-file-in-mnt /mnt/tests
E: rhts-test-env script-without-shebang /usr/share/rhts/lib/rhts-make.include
E: rhts-test-env dir-or-file-in-mnt /mnt/scratchspace
E: rhts-test-env dir-or-file-in-mnt /mnt/testarea
E: rhts-test-env non-standard-dir-perm /mnt/testarea 01777
-----
rpmlint output from rhts-python package:
-----
W: rhts-python no-url-tag
W: rhts-python no-documentation
E: rhts-python non-executable-script
/usr/lib/python2.4/site-packages/rhts/testinfo.py 0644
-----
* all warning and error must be fix.
* in field %files, you don't need to past each files, main location it enough.


Comment 3 Xavier Lamien 2007-01-25 03:00:30 UTC
oops,

"make: *** No rule to make target `install-noarch'.  Stop." is pasted in the
wrong way.

>make install-noarch not really need it, just an make install.
make: *** No rule to make target `install-noarch'.  Stop.

Comment 4 Peter Gordon 2007-01-25 04:45:49 UTC
(In reply to comment #2)
[..]
> * fields Source0 must be point to the full location of the tarball for check up.
While this is generally true, it is not the case for source snapshots (unless
there is a valid URL for it, such as some projects' nightly or weekly CVS tarballs).

(In reply to comment #0)
> E: rhts-test-env dir-or-file-in-mnt /mnt/tests
> E: rhts-test-env dir-or-file-in-mnt /mnt/scratchspace
> E: rhts-test-env dir-or-file-in-mnt /mnt/testarea
> E: rhts-test-env non-standard-dir-perm /mnt/testarea 01777

Why are these /mnt directories needed? If they are valid, would they be better
as locations in /srv or similar?

Comment 5 Dave Malcolm 2007-01-25 22:44:55 UTC
Thanks everyone.

I've gone through and attempted to fix as much of this as possible.

New specfile:
http://people.redhat.com/dmalcolm/rhts-candidates/rhts-2.6.0.svn336-2/rhts.spec

New SRPM:
http://people.redhat.com/dmalcolm/rhts-candidates/rhts-2.6.0.svn336-2/rhts-2.6.0.svn336-2.src.rpm

rpmlint output from srpm:
W: rhts unversioned-explicit-obsoletes rhts-testhelpers
W: rhts unversioned-explicit-provides rhts-testhelpers
W: rhts unversioned-explicit-obsoletes rhts-testhelpers-developer
W: rhts unversioned-explicit-provides rhts-testhelpers-developer
All of the above refer to earlier versions of this package that were purely
internal to Red Hat (we changed the names) - is this waivable?

rpmlint output from rhts-python:
W: rhts-python no-documentation
There isn't any - is this waivable?

rpmlint output from rhts-test-env:
W: rhts-test-env no-documentation
There isn't any - is this waivable?

E: rhts-test-env dir-or-file-in-mnt /mnt/tests
E: rhts-test-env dir-or-file-in-mnt /mnt/scratchspace
E: rhts-test-env dir-or-file-in-mnt /mnt/testarea
E: rhts-test-env non-standard-dir-perm /mnt/testarea 01777
RHTS provides a way to build tests as RPMs, and these have to live 
somewhere in the filesystem hierarchy.  We've been using these locations as a
place for the built tests to live.  Suggestions for better places welcome.


Comment 6 Anthony Green 2007-01-26 20:13:29 UTC
(In reply to comment #5)
> E: rhts-test-env dir-or-file-in-mnt /mnt/tests
> E: rhts-test-env dir-or-file-in-mnt /mnt/scratchspace
> E: rhts-test-env dir-or-file-in-mnt /mnt/testarea
> E: rhts-test-env non-standard-dir-perm /mnt/testarea 01777
> RHTS provides a way to build tests as RPMs, and these have to live 
> somewhere in the filesystem hierarchy.  We've been using these locations as a
> place for the built tests to live.  Suggestions for better places welcome.

How about /var/lib/rhts/{tests,scratchspace,testarea}?

See http://www.pathname.com/fhs/2.2/fhs-5.8.html




Comment 7 Dave Malcolm 2007-02-01 22:39:37 UTC
The /mnt issue is not yet resolved.

I've updated the spec and SRPM to reflect some upstream changes; a new
/usr/libexec/rhts directory has appeared, and many files have moved there from
/usr/bin.

Latest specfile here:
http://people.redhat.com/dmalcolm/rhts-candidates/rhts-2.6.0.svn343-3/rhts.spec

Latest SRPM here:
http://people.redhat.com/dmalcolm/rhts-candidates/rhts-2.6.0.svn343-3/rhts-2.6.0.svn343-3.src.rpm


Comment 8 Dave Malcolm 2007-02-02 17:11:18 UTC
(Still haven't resolved /mnt issue)

Folded in upstream fix, to support hg repositories.
Latest specfile here:
http://people.redhat.com/dmalcolm/rhts-candidates/rhts-2.6.0.svn344-1/rhts.spec

Latest SRPM here:
http://people.redhat.com/dmalcolm/rhts-candidates/rhts-2.6.0.svn344-1/rhts-2.6.0.svn344-1.src.rpm


Comment 9 James M. Leddy 2007-06-04 19:48:23 UTC
(In reply to comment #5)
 
> E: rhts-test-env dir-or-file-in-mnt /mnt/tests
> E: rhts-test-env dir-or-file-in-mnt /mnt/scratchspace
> E: rhts-test-env dir-or-file-in-mnt /mnt/testarea
> E: rhts-test-env non-standard-dir-perm /mnt/testarea 01777
> RHTS provides a way to build tests as RPMs, and these have to live 
> somewhere in the filesystem hierarchy.  We've been using these locations as a
> place for the built tests to live.  Suggestions for better places welcome.
> 

/opt/rhts
/var/opt/rhts


Comment 10 Jason Tibbitts 2008-01-18 06:02:47 UTC
It's been a long time since anything happened with this package; on a lark I
tried to build the packae from comment 8 but was not successful due to the
egg-info file that's popped up in rawhide.

There are several other things which need work in this package, but before I
spend a bunch of time going over it, perhaps I should ask if there's still a
desire to get this info fedora and if so, is there a more recent version that
the reviewers should look at?

Comment 11 Dave Malcolm 2008-01-18 14:49:37 UTC
bpeck would now be the best person to answer that question; adding him to CC
(although he's on vacation for the next few days).

bpeck: what's the status of this?

Comment 12 Jason Tibbitts 2008-04-30 01:51:57 UTC
I guess I should ping again.  Anything happening here?

Comment 13 Bill Peck 2008-04-30 13:23:40 UTC
Nothing is happening here.  I am working on the begining details of a system
like RHTS.  Basically the next version of RHTS will be developed externally.

Still in the planning stages, will post to fedorahosted when ready.

Should we close this then?

Comment 14 Jason Tibbitts 2008-05-01 01:57:21 UTC
Yeah, if you no longer want to get this package into Fedora, there's not much
point in keeping this open.  I'll close it.


Note You need to log in before you can comment on or make changes to this bug.